#ifndef __TOURELLE_H
#define __TOURELLE_H

#define 	FOURCHE				PORTBbits.RB0			// Led rouge (active  l'tat bas)
#define 	REFLEXE				PORTBbits.RB1			// Led ambre (active  l'tat bas)

#define 	TRIS_FOURCHE			TRISBbits.TRISB0		// Direction du port
#define 	TRIS_REFLEXE			TRISBbits.TRISB1		// Direction du port



// --------------------------------------------------------------------------
/* Initialise la tourelle
 *  Pas de paramtre
*/
void Init_Tourelle(void);



// --------------------------------------------------------------------------
/* Retourne un si un front descendant est dtect sur la fourche
 *  Pas de paramtre
*/
int Front_Descendant_Fourche(void);


// --------------------------------------------------------------------------
/* Retourne un si un front descendant est dtect sur le capteur reflexe
 *  Pas de paramtre
 * Si la fonction retourne 0, c'est que le capteur ne capte pas
 * Si la fonction retourne 1, c'est que le capteur capte
 * Si la fonction retourne 2, c'est que l'on vient de dtecter un front montant, (on vient de capter)
 * Si la fonction retourne 3, c'est que l'on vient de dtecter un front descendant, (on ne capte plus)
*/
int Front_Reflexe(void);


#endif
